############################################################
#
# type definition pro_software_component_lcgbdii
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 2.0.3
#
# Translation of lcg-lcfg-lcgbdii by Laurence Field.
#
############################################################

template pro_software_component_lcgbdii;

include pro_declaration_component_lcgbdii;

# Package to install
"/software/packages"=pkg_repl("ncm-lcgbdii","2.0.3-1","noarch");
 
"/software/components/lcgbdii/dependencies/pre" = default(list("spma"));
"/software/components/lcgbdii/active"= default(true);
"/software/components/lcgbdii/dispatch"= default(true);

"/software/components/lcgbdii/configFile" = default("/opt/lcg/bdii/var/lcg-bdii.conf");

"/software/components/lcgbdii/portRead" = default(2170);
"/software/components/lcgbdii/portsWrite" = default(list(2171,2172,2173));
"/software/components/lcgbdii/user" = default("lcgbdii");
"/software/components/lcgbdii/bind" = default("mds-vo-name=local,o=grid");
"/software/components/lcgbdii/searchFilter" = default("'*'");
"/software/components/lcgbdii/searchTimeout" = default(30);
"/software/components/lcgbdii/breatheTime" = default(60);
"/software/components/lcgbdii/autoUpdate" = default("yes");
"/software/components/lcgbdii/autoModify" = default("no");
"/software/components/lcgbdii/dir" = default("/opt/lcg/bdii/");
"/software/components/lcgbdii/updateUrl" = default("file:/opt/lcg/bdii/var/lcg-bdii-update.conf");
"/software/components/lcgbdii/updateLdif" = default("http://");
"/software/components/lcgbdii/slapd" = default("/opt/openldap/libexec/slapd");
"/software/components/lcgbdii/slapadd" = default("/opt/openldap/sbin/slapadd");

